/*
 *  The TAP Project: Traffic Shaping System Calls
 *  Copyright (c) Harald Roeck (hroeck@cs.uni-salzburg.at), Silviu Craciunas (scraciunas@gmail.com)
 *
 *  University Salzburg, www.uni-salzburg.at
 *  Department of Computer Science, cs.uni-salzburg.at
 *
 *  This project is funded by the Austrian Science Fund project nummer P18913
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "tap.h"
#include <stdio.h>
#include <stdlib.h>

void usage(char *name)
{
	printf("usage: %s pid\n", name );
}

int main(int argc, char **argv)
{
	int retval;
	pid_t pid;

	if(argc != 2)
	{
		usage(argv[0]);
		exit(1);
	}

	pid = atoi( argv[1] );
	printf("deactivate shaping for process %d\n", pid);
	retval = shape( pid, 0, 0);
	if(retval)
		perror("ERROR: ");

	return retval;
}
